Subject: Re: bug#46494: 28.0.50; [native-comp] Problems with async background compile

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Mar 2021 16:34:23 +0200

> From: Andy Moreton <[email-masked]>
> Date: Sat, 20 Feb 2021 16:40:38 +0000
> 
> >> On a x86_64-w64-mingw32 build, sending SIGHUP to a compilation
> >> subprocess results in the emacs abort dialog being shown briefly and
> >> then disappearing (without user interaction). That dialog should require
> >> pressing a button to dismiss it.
> >
> > I think if the process dies or exits, the dialog is closed.
> >
> > So, since you seem to be able to reproduce this with a simpler setup,
> > please try these:
> >
> >   . repeat the experiment using 'SIGINT and 'SIGBREAK instead of
> >     'SIGHUP
> >   . repeat the experiment with w32-start-process-share-console set to
> >     a non-nil value (both with SIGHUP and the other 2 SIG* signals)
> >
> > I'd be interested to know whether the results are different.
> 
> Using 'SIGINT or 'SIGBREAK did not seem affect the subprocess at all.
> 
> Using "(w32-start-process-share-console t)" with 'SIGHUP seemed to work
> without triggering the abort dialog, and killing emacs with async
> processes running also did, not trigger the aborts.

I think I found and fixed the problem which caused these abort dialogs
to pop up when exiting Emacs while native-compile subprocesses are
running.  Please try the latest native-comp branch.